
Foreman - Bug #718

Permission denied trying to write to tftp dir directly instead of using smart proxy

03/08/2011 05:32 PM - Jeff Weiss

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: TFTP   

Target version: 0.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Processing HostsController#setBuild (for 10.11.228.39 at 2011-03-08 14:29:29) [GET]

Parameters: {"action"=>"setBuild", "id"=>"testhost1.jweiss.redhat.com", "controller"=>"hosts"}

TFTP Failed: Permission denied - /usr/share/foreman/tftp

Redirected to http://jweiss.usersys.redhat.com:5000/hosts/testhost1.jweiss.redhat.com

Completed in 13ms (DB: 4) | 302 Found [http://jweiss.usersys.redhat.com/hosts/testhost1.jweiss.redhat.com/setBuild]

"/usr/share/foreman/tftp" - It appears to be constructing this dir from foreman user's HOME dir (/usr/share/foreman), and the

":tftppath: tftp/" setting in

/etc/foreman/settings.yaml.

The problem is this dir is not writable by foreman, but really it should not even be attempting to write there.  It should be using the

smart proxy which has its own tftp dir setting and actually has permission to write to it.  I talked with jsherrill about this and he was not

able to reproduce it on his system.  Neither of us could find any setting I had missed that would fix it.

Related issues:

Has duplicate Foreman - Bug #702: remove pxe-config-link when changing the ma... Closed 03/02/2011

History

#1 - 03/09/2011 02:00 AM - Ohad Levy

- Category set to TFTP

- Target version set to 0.2

You are correct, if you are using a smart proxy, the old legacy tftp code should not be executed.

#2 - 03/09/2011 04:42 AM - Ohad Levy

- Status changed from New to Duplicate
